For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get segment details

Get details of a specific segment.

Deprecated

Get segment details

get

Get details of a specific segment.

This endpoint retrieves information about a single segment identified by UUID. Segments are used to organize and group contacts based on specific criteria.

Deprecated. This endpoint cannot target a profile, so it always falls back to the client's default profile and cannot read segments of any other profile. Use GET /api/reach/v1/profiles/{profileUuid}/segmentation/segments/{segmentUuid} instead.

Authorizations
AuthorizationstringRequired

API Token authentication

Path parameters
segmentUuidstringRequired

Segment uuid parameter

Example: 550e8400-e09b-41d4-a716-400055000000
Responses
200

Success response

application/json
uuidstringOptionalExample: 550e8400-e29b-41d4-a716-446655440000
namestringOptionalExample: Segment name
created_atstring · date-timeOptionalExample: 2025-02-27T11:54:22Z
updated_atstring · date-timeOptionalExample: 2025-02-27T11:54:22Z
get/api/reach/v1/segmentation/segments/{segmentUuid}
GET /api/reach/v1/segmentation/segments/{segmentUuid} HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "uuid": "550e8400-e29b-41d4-a716-446655440000",
  "name": "Segment name",
  "query": {
    "conditions": [
      {
        "attribute": "email",
        "operator": "contains",
        "value": "example.com"
      }
    ],
    "logic": "and"
  },
  "created_at": "2025-02-27T11:54:22Z",
  "updated_at": "2025-02-27T11:54:22Z"
}

Last updated

Was this helpful?